<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.unis</groupId>
        <artifactId>delivery-module-core</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>delivery-module-core-biz</artifactId>
    <packaging>jar</packaging>

    <name>${project.artifactId}</name> 
    <description>
        core 模块，《交割库管理系统》核心模块，核心功能写在这里
    </description>

    <dependencies>  <!-- 5. 新增依赖，这里引入的都是比较常用的业务组件、技术组件 -->
        <dependency>
            <groupId>com.unis</groupId>
            <artifactId>delivery-module-core-api</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- Web 相关 -->
        <dependency>
            <groupId>com.unis</groupId>
            <artifactId>delivery-spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>com.unis</groupId>
            <artifactId>delivery-spring-boot-starter-security</artifactId>
        </dependency>

        <!-- DB 相关 -->
        <dependency>
            <groupId>com.unis</groupId>
            <artifactId>delivery-spring-boot-starter-mybatis</artifactId>
        </dependency>

        <!-- 工具类相关 -->
        <!-- easyExcel -->
        <dependency>
            <groupId>com.unis</groupId>
            <artifactId>delivery-spring-boot-starter-excel</artifactId>
        </dependency>
        <dependency>
            <groupId>com.unis</groupId>
            <artifactId>delivery-module-system-biz</artifactId>
            <version>2.1.0-jdk8-snapshot</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.unis</groupId>
            <artifactId>delivery-module-infra-biz</artifactId>
            <version>2.1.0-jdk8-snapshot</version>
            <scope>compile</scope>
        </dependency>

    </dependencies>

</project>